#include <htc.h> 
#include "init.h"


        #define PLLEN    = OFF ,     
        #define CPUDIV   = NOCLKDIV  ,
        #define USBDIV   = OFF         
        #define FOSC     = HS
        #define FCMEN    = ON
        #define  IESO     = OFF
        #define  PWRT     = ON
        #define  BOR      = ON
        #define  BORV     = 3
        #define  WDT      = OFF
        #define  WDTPS    = 1
        #define  MCLRE    = ON
        #define  LPT1OSC  = OFF
        #define  STVREN   = ON
        #define  LVP      = OFF
        #define  XINST    = OFF       // Extended Instruction Set
        #define  CP0      = OFF
        #define  CP1      = OFF
        #define  CPB      = OFF
        #define  WRT0     = OFF
        #define  WRT1     = OFF
        #define  WRTB     = ON       // Boot Block Write Protection
        #define  WRTC     = OFF
        #define  EBTR0    = OFF
        #define  EBTR1    = OFF
        #define  EBTRB    = OFF

	

  #define LCD_PORT		LATC		//	;set constant LEDPORT = 'PORTB'
  #define LCD_TRIS		TRISC		//	;set constant for TRIS register
  #define LCD_RS		LATBbits.LATB4			//;LCD handshake lines
  #define LCD_RW		LATBbits.RB6
  #define LCD_E			LATBbits.RB7


	unsigned char templcd	 =0 ;
	unsigned char	count1;	//		used in delay routine
	unsigned char	counta;	//	used in delay routine 
	unsigned char	countb;	//used in delay routine
	unsigned char	count;	//	count variable for table
	unsigned char	ADCH;	//temp store for 4 bit mode
	unsigned char	ADCL;
	unsigned char	BCDH;
	unsigned char	BCDL;
	
	unsigned char	D3;
	unsigned char	D2;
	unsigned char	D1;
	unsigned char	D0;
	unsigned char	temp;
	unsigned char	temp0;
	unsigned char	temp1;
	unsigned char	temp2;
	unsigned char	temp3;
	unsigned char	loopv;
	unsigned char   counter;
	unsigned char   w;


void initLCD( );
void ADC_Init();
void LCD_Cmd(unsigned char);
void Delay (unsigned int );
void main(void)
{

	OSCCON =62; //set internal clock to 4MHz
  	LCD_TRIS = 0;  //	set PortC all outputs
  	LCD_PORT = 0;		//LCD_TRIS
	Delay ( 100);
	LATB=0x00;
	ADCON1 = 0b01111111; // set as digital I/O 

void initLCD();
//void LCD_Cmd ();
 // delay niet vergeten om LCD te laten opstarten
void ADC_Init();
while (1);
}



void LCD_Cmd (unsigned char w){

	templcd=w;
	w= (templcd >> 4) | (templcd << 4);	;//send upper nibble

	w=w & 0x0f ;//clear upper 4 bits of W
	LCD_PORT=w;
	LCD_RS=0;//RS line to 0
	//call	Pulse_e				;//Pulse the E line high

	w=templcd	;//send lower nibble
	w=w&0x0f				;//clear upper 4 bits of W
	LCD_PORT=w;
	LCD_RS=0 ;//RS line to 0
	//		call	Pulse_e				;//Pulse the E line high
	//		call 	Delay5

}

void Delay( unsigned int itime)
{
unsigned int i;
unsigned int j;
for ( i=0;i<itime;i++){
	for ( j=0;j<198;j++); //1ms delay  for 10Mhz 165=>1ms delay ; for 12Mhz =>198
}
}

