
#ifndef __INIT_C
#define __INIT_C

#include <htc.h>

void initLCD()
{
//INIT FROM THE PDF
	//	    LCD_PORTbits.LCD_RS = 1;
	//		BCF     LCD_PORT,LCD_RS ; make the LCD ready to take ORDERS
	  	    Delay (254);
			
			LCD_Cmd(0x33);	//Set 8 bit mode
			Delay(5);

			LCD_Cmd(0x32);	//Set 4 bit mode
			Delay(5);

			LCD_Cmd(0x2C);//function set 2 lines; 5*11
			Delay(5);
		
			LCD_Cmd(0x08);//display off
			Delay(5);

			LCD_Cmd(0x01);//display clear
			Delay(5);

			LCD_Cmd(0x06);//		entry mode set increment , no shift
			Delay(5);
	
			LCD_Cmd(0x0F); //disp ON
			Delay(5);	
	
		//	call	LCD_Clr			;clear display
	}


void ADC_Init()
{
		ADCON2 = 0b10101110 ;//right justify, Frc/64 , 12Tad

		ADCON1=0b00000000 ;//ADC ref = Vdd,Vss boven- en onderste venster
		ANSELHbits.ANS10=1;//Set RB4 to analog (ANS10) 
		ADCON0 = 0b00101001 ;//AN10, ADC on
}		

void ADC_Go()
{
	ADCON0bits.GO=1 ;//Start conversion
//ADCPoll:
	while(ADCON0bits.DONE==1); //Is conversion done?
	//	; Result is complete - store 2 MSbits in
	//	; RESULTHI and 8 LSbits in RESULTLO
		ADCH = ADRESH;
		ADCL= ADRESL;
}


#endif